Get Me
GEThttps://api.slidespeak.co/api/v1/me
Retrieves the user details associated with the provided API key. Use this endpoint to confirm which user account is linked to the API key being used and the number of API credits remaining.
Headers
Content-Type:string
application/jsonX-API-Key:string
The API key to use for the request.
<YOUR_API_KEY>Code Examples
curl -X GET "https://api.slidespeak.co/api/v1/me" -H "Content-Type: application/json" -H "X-API-Key: YOUR_API_KEY"fetch('https://api.slidespeak.co/api/v1/me', { method: 'GET', headers: { 'Content-Type': 'application/json', 'X-API-Key': 'YOUR_API_KEY' }}) .then(response => response.json()) .then(data => { console.log('Me:', data); }) .catch(error => { console.error('Error:', error); });import requests
url = "https://api.slidespeak.co/api/v1/me"headers = { "Content-Type": "application/json", "X-API-Key": "YOUR_API_KEY" }
response = requests.get(url, headers=headers)print(response.json())<?phprequire 'vendor/autoload.php';
use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://api.slidespeak.co/api/v1/me', [ 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => 'YOUR_API_KEY' ]]);
$body = $response->getBody();$data = json_decode($body, true);
print_r($data);Response
{
"user_name": "john_doe",
"api_credits": 1000,
"additional_api_credits": 200
}